Bug 451515 - Removeable media doesnt get mounted
Removeable media doesnt get mounted
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-15 03:48 EDT by Patrick Steiner
Modified: 2015-03-03 17:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:36:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Steiner 2008-06-15 03:48:02 EDT
if i plugin my 2gb usbstick (kingston) it doesnt appear on the desktop.

i can see it under the computer icon.

if i reastart gnome (with connected usbdrive) i can she the drive.

i also noticed that gvfsd-computer isnt running
Comment 1 Laurent Aguerreche 2008-06-20 06:01:46 EDT
I think this bug is also related to the one I described there:
https://bugzilla.redhat.com/show_bug.cgi?id=450618
Comment 2 Laurent Aguerreche 2008-06-29 16:54:15 EDT
Some fun with the gvfs-* commands and a USB key where the first partition is
/dev/sdb1.

$ gvfs-monitor-file /dev/sdb1
File Monitor Event:
File = /dev/sdb1
Event = CREATED
File Monitor Event:
File = /dev/sdb1
Event = ATTRIB CHANGED


All seems correct.


$ gvfs-mount -li
Drive(0): CD-RW/DVD?RW Drive
  ids:
   hal-udi: '/org/freedesktop/Hal/devices/storage_model_DVD__RW_TS_L632D'
   unix-device: '/dev/sr0'
  is_media_removable=1
  has_media=0
  is_media_check_automatic=1
  can_poll_for_media=1
  can_eject=1
Drive(1): USB Drive
  ids:
   hal-udi:
'/org/freedesktop/Hal/devices/storage_serial_USB_2_0_Flash_Disk_280838000562B900_0_0'
   unix-device: '/dev/sdb'
  is_media_removable=1
  has_media=1
  is_media_check_automatic=1
  can_poll_for_media=1
  can_eject=0


seems correct.


$ gvfs-mount -m

Nothing?!


$ gvfs-mount /dev/sdb1
Error mounting location: volume doesn't implement mount


???

Volumes of removable media seem to be invisibles for GVfs. My USB key is mounted
under KDE4. I did not have any problem with Fedora 8 (that I updated to Fedora 9).
Comment 3 Tomáš Bžatek 2008-07-14 07:23:56 EDT
By chance, are there any records in fstab pointing to /dev/sdb (sdb1) or /dev/sr0?

$ gvfs-mount /dev/sdb1 is nonsense, you need to specify full URI of a filesystem
gvfs can handle (and local file:// filesystem is always mounted). You might want
to experiment with gnome-mount and hal (lshal, gnome-device-manager).
Comment 4 Patrick Steiner 2008-07-14 14:27:38 EDT
no there is no fstab entry.

gnome-mount -v /dev/sdc1 only outputs:

gnome-mount 0.8


the disk mounter applet works without any problems.
Comment 5 Tomáš Bžatek 2008-07-15 05:50:35 EDT
The correct command to mount a device is 
  gnome-mount -t -m my_disk -d /dev/sdc1

and to unmount it
  gnome-mount -t -m my_disk -d /dev/sdc1 -u
Comment 6 Patrick Steiner 2008-07-16 14:59:33 EDT
i updated my system now with updates-testing now all works fine :-)

i have tested this on a i386 and a x86_64 machine
Comment 7 Bug Zapper 2009-06-09 21:37:53 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 12:36:34 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.